<br>
<div class="container">
<p class="h1">CRUD - Angular 10 and ASP.NET Web API</p>
<br>
<p style="color:rgb(0, 128, 0);font-size:20px;font-weight:bold" Class="success">{{message}}</p>
<form [formGroup]="employeeForm" (ngSubmit)="onSubmit()">
  <div class="row mb-3">
    <label for="EmpName" class="col-lg-2 col-form-label col-form-label-lg">Employee Name</label>
    <div class="col-lg-10">
      <input id="EmpName" type="text" class="form-control form-control" formControlName="EmpName">
    </div>
  </div>
  <div class="row mb-3">
    <label for="DateOfBirth" class="col-lg-2 col-form-label col-form-label-lg">Date Of Birth(YYYY-MM-DD)</label>
    <div class="col-lg-10">
      <input id="DateOfBirth" type="text" class="form-control form-control" formControlName="DateOfBirth">
    </div>
  </div>
  <div class="row mb-3">
    <label for="Emailid" class="col-lg-2 col-form-label col-form-label-lg">Email</label>
    <div class="col-lg-10">
      <input id="Emailid" type="text" class="form-control form-control" formControlName="Emailid">
    </div>
  </div>
  <div class="row mb-3">
    <label for="Gender" class="col-lg-2 col-form-label col-form-label-lg">Gender</label>
    <div class="col-lg-10">
      <input id="Gender" type="text" class="form-control form-control" formControlName="Gender">
    </div>
  </div>
  <div class="row mb-3">
    <label for="Address" class="col-lg-2 col-form-label col-form-label-lg">Address</label>
    <div class="col-lg-10">
      <input id="Address" type="text" class="form-control form-control" formControlName="Address">
    </div>
  </div>
  <div class="row mb-3">
    <label for="pinCode" class="col-lg-2 col-form-label col-form-label-lg">Pin Code</label>
    <div class="col-lg-10">
      <input id="pinCode" type="text" class="form-control form-control" formControlName="pinCode">
    </div>
  </div>
  <div class="d-grid gap-2 d-md-flex justify-content-md-end">
      <button type="submit" class="btn btn-primary btn-lg">Submit</button>
  </div>
  </form>
  <br>
  <table class="table table-bordered">
    <tr>  
      <th>Employee Name</th>  
      <th>Date Of Birth</th>  
      <th>Email Id</th>  
      <th>Gender</th>  
      <th>Address</th>  
      <th>Pine Code</th>
      <th>Action</th>
      <th>Action</th>
    </tr>  
    <tr *ngFor="let employee of allEmployees | async">  
      <td>{{employee.EmpName}}</td>  
      <td>{{employee.DateOfBirth | date }}</td>  
      <td>{{employee.Emailid}}</td>  
      <td>{{employee.Gender}}</td>  
      <td>{{employee.Address}}</td>  
      <td>{{employee.pinCode}}</td>
      <td><button style="color:blue" type="button" class="btn" (click)="loadEmployeeToEdit(employee.EmpID)">Edit</button></td>
      <td><button style="color:blue" type="button" class="btn" (click)="deleteEmployee(employee.EmpID)">Delete</button></td>
    </tr> 
  </table>
</div> 